covidapp/__init__.py
from flask import Flask, render_template 
from flask_bootstrap import Bootstrap 
from flask_moment import Moment
from flask_sqlalchemy import SQLAlchemy 
from config import config


bootstrap = Bootstrap()
moment = Moment()
db = SQLAlchemy()

def create_app(config_name):
    app = Flask(__name__) 
    app.config.from_object(config[config_name]) 
    config[config_name].init_app(app)

    bootstrap.init_app(app)
    moment.init_app(app)
    db.init_app(app)

    from .main import main as main_blueprint
    from .admin import admin as admin_blueprint
    app.register_blueprint(main_blueprint)
    app.register_blueprint(admin_blueprint)

    return app

covidapp/admin/__init__.py
from flask import Blueprint
admin = Blueprint('admin', __name__) 
from . import views, errors

covidapp/main/__init__.py
from flask import Blueprint
main = Blueprint('main', __name__) 
from . import views, errors

covidapp/main/views.py
from datetime import datetime
from flask import render_template, session, redirect, url_for
from . import main
from .. import db

@main.route('/', methods=['GET', 'POST']) 
def accueil():
    return render_template('main/accueil.html', current_time=datetime.utcnow())

@main.route('/flash_infos', methods=['GET', 'POST'])
def flashInfo():
    return render_template('main/flashinfos.html')

covidapp/templates/base.html
<html>
    <head>
    {% block head %}
        <title>{% block title %}{% endblock %}</title>
        <link rel="stylesheet" href="{{ url_for('static', filename='bootstrap/css/bootstrap.min.css') }}">
    {% endblock %}
    </head>
    <body>
      <nav class="navbar navbar-inverse">
        <div class="container-fluid">
          <div class="navbar-header">
            <a class="navbar-brand" href="#">Xeex COVID</a>
          </div>
          <ul class="nav navbar-nav">
            <li class="active"><a href="{{ url_for('main.accueil')}}">Home</a></li>
            {% block menu %}

            {% endblock %}
          </ul>
          <ul class="nav navbar-nav navbar-right">
            <li><a href="#"><span class="glyphicon glyphicon-user"></span> Inscription</a></li>
            <li><a href="#"><span class="glyphicon glyphicon-log-in"></span> Login</a></li>
          </ul>
        </div>
      </nav>
        
      <div class="container container-fluid">
        {% block body %}
        {% endblock %}
      </div>
      <script src="{{ url_for('static', filename='js/jquery.min.js') }}"> </script>
    <script src="{{ url_for('static', filename='bootstrap/js/bootstrap.min.js') }}"> </script> 
    </body>
    
</html>

covidapp/templates/main/accueil.html
{% extends "base.html" %}

{% block body %}
    <div class="row">
        <div class="col-md-12">
            <div id="myCarousel" class="carousel slide" data-ride="carousel">
                <!-- Indicators -->
                <ol class="carousel-indicators">
                  <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                  <li data-target="#myCarousel" data-slide-to="1"></li>
                </ol>
                <!-- Wrapper for slides -->
                <div class="carousel-inner">
                  <div class="item active">
                    <img src="{{url_for('static', filename='image/gesteBarriere.jpeg')}}" alt="Los Angeles">
                  </div>
                  
                  <div class="item">
                    <img src="{{url_for('static', filename='image/sensibilisation.jpeg')}}" alt="Chicago">
                  </div>
                </div>
              
                <!-- Left and right controls -->
                <a class="left carousel-control" href="#myCarousel" data-slide="prev">
                  <span class="glyphicon glyphicon-chevron-left"></span>
                  <span class="sr-only">Précédent</span>
                </a>
                <a class="right carousel-control" href="#myCarousel" data-slide="next">
                  <span class="glyphicon glyphicon-chevron-right"></span>
                  <span class="sr-only">Suivant</span>
                </a>
            </div>
        </div>
    </div>
{%endblock%}

covidapp/templates/main/flashinfos.html
Ceci est la page flash infos du package main